No perl 8.X.X não tem mais o suidperl, por questões de falhas em segurança que ele foi tirado, pode-se ver no site oficial do perl isso, não me lembro o endereço que vi isso, mas tbm tava precisando dele a solução foi usar uma versão um pouco menor